Subject: bug#10323: 24.0.92; docstring diary-date-forms

From: "Roland Winkler" <[email-masked]>
Date: Sun, 18 Dec 2011 17:31:42 -0600

Maybe this is too pedantic: If one tries to separate a diary entry
into the date and the text part, the question comes up: what about
the separator (usually some whitespace character(s)) between the
date and the text part? The docstring of diary-date-forms says

  The patterns on the list must be MUTUALLY EXCLUSIVE and should not match
  any portion of the diary entry itself, just the date component.

Originally I thought this would exclude the separator from the date
component (so that I had to deal with it myself). But the patterns
are designed the other way round. For the regexp matcher the
separator is an important part of the date component. So I suggest
to modify the docstring of diary-date-forms to say something like

  The patterns on the list must be MUTUALLY EXCLUSIVE and should not match
  any portion of the diary entry itself, just the date component.
  Here the first character following the date itself is considered part of
  the date.
  
Actually, this is not completely true either, and it becomes relevant if
one wants to indent the diary entries for which the `backup' mechanism
of diary-european-date-forms applies.  If one has the diary entries

18/12/2011$  foo bar
18/12/2011   foo baz
18 December  foo bar

the first two entries are indented as one might expect it; yet the third
one is not indented (i.e., with `backup' all whitespace characters 
following immediately the date become part of the date)

In GNU Emacs 24.0.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2011-12-14 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.10706000